The following commands operate on Feature objects. For more information about the Feature object, see “Feature object,” Section 18.1.
import part
This method carries out a sequence of geometry repair operations if it contains invalid entities. It is expected to improve the geometry, but it does not guarantee that the number of invalid entities will decrease. In some cases, it can also increase the number of invalid entities. Since a number of geometry repair operations and validity checks are performed, it could be a slow operation depending on the complexity of the geometry.
mdb.models[name].parts[name].AutoRepair
Return value
A Feature object.
Exceptions
This method tries to convert a shell entity to a solid entity. The conversion is not always successful.
mdb.models[name].parts[name].AddCells
Required argument
A sequence of Face objects specifying the faces bounding the cell to add.
Optional argument
A Boolean specifying the direction of feature creation. The possible values are True and False. The default is True indicating that the direction is opposite to the face normal. When multiple faces are selected, Abaqus attempts to create cells on both sides of the selected faces and ignores the flipped argument.
Return value
A Feature object.
Exceptions
This method generates a face using the given edges as the face's boundaries. The AddFaces method generates a face by creating the geometry consisting of the underlying surface, associated edges, and vertices.
mdb.models[name].parts[name].AddFaces
Required argument
A sequence of Edge objects specifying the edges that bound the new face.
Optional argument
A Boolean specifying whether the newly created face should be analytical or not. The default is False.
Return value
A Feature object.
Exceptions
If the given boundary is not a closed loop:
If the given boundary contains a zero length component:
If the underlying surface is too difficult to fit:
This method creates a first Feature object for an analytical rigid surface by creating a planar wire from the given ConstrainedSketch object.
mdb.models[name].parts[name].AnalyticRigidSurf2DPlanar
Required argument
A ConstrainedSketch object specifying the planar wire.
Optional arguments
Return value
A Feature object.
Exceptions
This method creates a first Feature object for an analytical rigid surface by extruding the given ConstrainedSketch object by the given depth, creating a surface.
mdb.models[name].parts[name].AnalyticRigidSurfExtrude
Required argument
A ConstrainedSketch object specifying the planar wire.
Optional argument
A Float specifying the extrusion depth. The default value is 1.0.
Return value
A Feature object.
Exceptions
This method creates a first Feature object for an analytical rigid surface by revolving the given ConstrainedSketch object by 360° about the Y-axis.
mdb.models[name].parts[name].AnalyticRigidSurfRevolve
Required argument
A ConstrainedSketch object specifying the surface to be revolved.
Optional arguments
Return value
A Feature object.
Exceptions
This method creates a first Feature object by extruding the given ConstrainedSketch object by the given depth, creating a solid. The ConstrainedSketch object must define a closed profile.
mdb.models[name].parts[name].BaseSolidExtrude
Required arguments
A ConstrainedSketch object specifying the plane shape to be extruded.
A Float specifying the extrusion depth. Possible values are 10–5
depth
105.
Optional arguments
A Float specifying the draft angle in degrees. Possible values are -90.0
draftAngle
90.0. By convention, for a positive draft angle an outer loop will draft outward and an inner loop will draft inward. The opposite is true for a negative draft angle. The default value, 0, implies a normal extrude. The arguments draftAngle and pitch are mutually exclusive.
A Float specifying the pitch. The pitch is the distance traveled along the axial direction by the sketch when the sketch has completed one full revolution about the twist axis. Pitch can be specified as positive or negative to achieve right-handed or left-handed twist about the twist axis, respectively. The default value, 0, implies a normal extrude. Possible values are –105
pitch
105. The arguments draftAngle and pitch are mutually exclusive.
Return value
A Feature object.
Exceptions
RangeError.
This method creates a first Feature object by revolving the given ConstrainedSketch object by the given angle, creating a solid. The ConstrainedSketch object must define a closed profile and an axis of revolution. The axis is defined by a single construction line.
mdb.models[name].parts[name].BaseSolidRevolve
Required arguments
A ConstrainedSketch object specifying the shape to be revolved.
A Float specifying the revolve angle in degrees. Possible values are 10–4
angle
360.
Note: If pitch
0, there is no upper limit for angle.
Optional arguments
A Float specifying the pitch. The pitch is the distance traveled along the axial direction, measured between corresponding points on the sketch when it has completed one full revolution about the axis of revolution. Possible values are 0
pitch
105. The default value, 0, implies a normal revolve.
A Boolean specifying whether to override the direction of feature creation. If flipRevolveDirection=OFF, the default direction of revolution is used. If flipRevolveDirection=ON, the revolve direction is reversed. The default value is OFF.
A Boolean specifying whether to override the direction of translation. If flipPitchDirection=OFF, the direction of translation is given by the direction of the revolve axis. If flipPitchDirection=ON, the translation direction is reversed. The default value is OFF.
A Boolean specifying whether to rotate the sketch so that it is normal to the path of revolution when using the pitch option. If moveSketchNormalToPath=OFF, the sketch plane remains parallel to the revolve axis. If moveSketchNormalToPath=ON, the sketch is moved to match the angle created by the pitch before being revolved. The default value is OFF.
Return value
A Feature object.
Exceptions
RangeError.
This method creates a first Feature object by sweeping the given profile ConstrainedSketch object along the path defined by the path ConstrainedSketch object, creating a solid. The profile ConstrainedSketch object must define a closed profile. The origin of the profile sketch is positioned at the start of the sweep path and swept perpendicular to the path. No checks are made for self-intersection.
mdb.models[name].parts[name].BaseSolidSweep
Required arguments
A ConstrainedSketch object specifying the profile to be swept.
A ConstrainedSketch object specifying the path of the sweep.
Optional arguments
Return value
A Feature object.
Exceptions
This method creates a first Feature object by creating a planar shell from the given ConstrainedSketch object. The ConstrainedSketch object must define a closed profile.
mdb.models[name].parts[name].BaseShell
Required argument
A ConstrainedSketch object specifying the planar shell.
Optional arguments
Return value
A Feature object.
Exceptions
This method creates a first Feature object by extruding the given ConstrainedSketch object by the given depth, creating a shell. The ConstrainedSketch object can define either an open or closed profile.
mdb.models[name].parts[name].BaseShellExtrude
Required arguments
A ConstrainedSketch object specifying the shape to be extruded.
A Float specifying the extrusion depth. Possible values are Floats > 0.
Optional arguments
A Float specifying the draft angle in degrees. Possible values are -90.0
draftAngle
90.0. By convention, for a positive draft angle an outer loop will draft outward and an inner loop will draft inward. The opposite is true for a negative draft angle. The default value, 0, implies a normal extrude. The arguments draftAngle and pitch are mutually exclusive.
A Float specifying the pitch. The pitch is the distance traveled along the axial direction by the sketch when the sketch has completed one full revolution about the twist axis. Pitch can be specified as positive or negative to achieve right-handed or left-handed twist about the twist axis, respectively. The default value, 0, implies a normal extrude. Possible values are –105
pitch
105. The arguments draftAngle and pitch are mutually exclusive.
Return value
A Feature object.
Exceptions
RangeError.
This method creates a first Feature object by revolving the given ConstrainedSketch object by the given angle, creating a shell. The ConstrainedSketch object can define either an open or closed profile and an axis of revolution. The axis is defined by a single construction line.
mdb.models[name].parts[name].BaseShellRevolve
Required arguments
A ConstrainedSketch object specifying the shape to be revolved.
A Float specifying the revolve angle in degrees. Possible values are 0
angle
360.
Note: If pitch
0, there is no upper limit for angle.
Optional arguments
A Float specifying the pitch. The pitch is the distance traveled along the axial direction, measured between corresponding points on the sketch when it has completed one full revolution about the axis of revolution. Possible values are 0
pitch
105. The default value, 0, implies a normal revolve.
A Boolean specifying whether to override the direction of feature creation. If flipRevolveDirection=OFF, the default direction of revolution is used. If flipRevolveDirection=ON, the revolve direction is reversed. The default value is OFF.
A Boolean specifying whether to override the direction of translation. If flipPitchDirection=OFF, the direction of translation is given by the direction of the revolve axis. If flipPitchDirection=ON, the translation direction is reversed. The default value is OFF.
A Boolean specifying whether to rotate the sketch so that it is normal to the path of revolution when using the pitch option. If moveSketchNormalToPath=OFF, the sketch plane remains parallel to the revolve axis. If moveSketchNormalToPath=ON, the sketch is moved to match the angle created by the pitch before being revolved. The default value is OFF.
Return value
A Feature object.
Exceptions
This method creates a first Feature object by sweeping the given section ConstrainedSketch object along the path defined by the path ConstrainedSketch object, creating a shell. The ConstrainedSketch object can define either an open or closed profile. The origin of the profile sketch is positioned at the start of the sweep path and swept perpendicular to the path. No checks are made for self-intersection.
mdb.models[name].parts[name].BaseShellSweep
Required arguments
A ConstrainedSketch object specifying the section to be swept.
A ConstrainedSketch object specifying the path of the sweep.
Optional arguments
Return value
A Feature object.
Exceptions
This method creates a first Feature object by creating a planar wire from the given ConstrainedSketch object.
mdb.models[name].parts[name].BaseWire
Required argument
A ConstrainedSketch object specifying the planar wire.
Optional arguments
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by chamfering the given list of edges with a given length.
mdb.models[name].parts[name].Chamfer
Required arguments
A Float specifying the length of the chamfer.
A sequence of Edge objects specifying the edges to chamfer.
Optional arguments
Return value
A Feature object.
Exceptions
This method attempts to change entities into a simpler form that will speed up processing and make entities available during feature operations.
mdb.models[name].parts[name].ConvertToAnalytical
Return value
A Feature object.
Exceptions
This method attempts to change imprecise entities so that the geometry becomes precise.
mdb.models[name].parts[name].ConvertToPrecise
Required arguments
Optional argument
A SymbolicConstant specifying the method to be used to convert the part to precise. Possible values are RECOMPUTE_GEOMETRY and TIGHTEN_GAPS. The default value is RECOMPUTE_GEOMETRY.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by cutting a hole using the given ConstrainedSketch object.
mdb.models[name].parts[name].Cut
Required arguments
A SymbolicConstant specifying the direction of feature creation. Possible values are SIDE1 and SIDE2.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the sketch.
A ConstrainedSketch object specifying the planar cut.
Optional argument
A SymbolicConstant specifying the orientation of sketchUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by extruding the given ConstrainedSketch object by the given depth and cutting away material in the solid and shell regions of the part. The ConstrainedSketch object must define a closed profile. The CutExtrude method creates a blind cut (using depth), an up-to-face cut (using upToFace), or a through-all cut (if depth and upToFace are not specified).
mdb.models[name].parts[name].CutExtrude
Required arguments
A SymbolicConstant specifying the direction of feature creation. Possible values are SIDE1 and SIDE2.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the sketch.
A SymbolicConstant specifying the orientation of sketchUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM.
A ConstrainedSketch object specifying the planar sketch to be extruded.
Optional arguments
A Float specifying the extrusion depth. If depth is specified, the cut will be a blind cut. The default is to not specify a depth.
A Face specifying the face up to which to cut. If upToFace is specified, the cut will be an up-to-face cut. The default is to not specify a face.
Note: If neither depth nor upToFace are specified, the cut will be a through-all cut.
A Float specifying the draft angle in degrees. Possible values are -90.0
draftAngle
90.0. By convention, for a positive draft angle an outer loop will draft outward and an inner loop will draft inward. The opposite is true for a negative draft angle. The default value, 0, implies a normal extrude. The arguments draftAngle and pitch are mutually exclusive.
A Float specifying the pitch. The pitch is the distance traveled along the axial direction by the sketch when the sketch has completed one full revolution about the twist axis. Pitch can be specified as positive or negative to achieve right-handed or left-handed twist about the twist axis, respectively. The default value, 0, implies a normal extrude. Possible values are –105
pitch
105. The arguments draftAngle and pitch are mutually exclusive.
A Boolean specifying whether to override the direction of feature creation. If the value is OFF, it means use the direction defined by the sketchPlaneSide; if the value is ON, it means use the opposite direction to the one defined by sketchPlaneSide. The default value is OFF.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by lofting between the given sections and cutting away material from the part. You define the sections using a sequence of edges from the part or an EdgeArray.
mdb.models[name].parts[name].CutLoft
Required argument
A sequence of sequences of edges specifying the cross-sections to be lofted. Each outer sequence specifies a section through which the method will pass the loft feature. Each outer sequence can be defined as a sequence of edges or as an EdgeArray. The edges specifying a section must form a simple closed profile and must not contain multiple loops.
Optional arguments
A SymbolicConstant specifying the tangent direction at the start section of the loft feature. Possible values are NONE, NORMAL, RADIAL and SPECIFIED. You can specify this argument only if the start and end sections are planar. You cannot use this argument in conjunction with the path argument. You must use the startCondition argument in conjunction with the endCondition argument.
A SymbolicConstant specifying the tangent direction at the end section of the loft feature. Possible values are NONE, NORMAL, RADIAL and SPECIFIED. You can specify this argument only if the start and end sections are planar. You cannot use this argument in conjunction with the path argument. You must use the endCondition argument in conjunction with the startCondition argument.
A Float specifying the angle in degrees of the tangent with respect to the plane in which the start section lies. You must specify the startTangent argument if startCondition=SPECIFIED. Possible values are 0.0
startTangent
180.0.
A Float specifying the magnitude of the startTangent. You must specify the startMagnitude argument if startCondition=SPECIFIED. Possible values are 0.0
startMagnitude
100.0.
A Float specifying the angle in degrees of the tangent with respect to the plane in which the end section lies. You must specify the endTangent argument if startCondition=SPECIFIED. Possible values are 0.0
endTangent
180.0.
A Float specifying the magnitude of the endTangent. This argument is to be used when the endCondition argument has the value SPECIFIED. Possible values are 0.0
endMagnitude
100.0.
A Boolean specifying whether each path defined in the paths argument is applied locally or globally.
The default value is ON (globally).
If the path is applied locally, its effect is felt only on faces created from the edges on the loftSections through which the paths pass through.
If the path is applied globally, an averaging algorithm is applied over all the paths defined and is distributed over all the faces created.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by revolving the given ConstrainedSketch object by the given angle and cutting away material from the part. The ConstrainedSketch object must define a closed profile and an axis of revolution.
mdb.models[name].parts[name].CutRevolve
Required arguments
A SymbolicConstant specifying the direction of feature creation. Possible values are SIDE1 and SIDE2.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the sketch.
A SymbolicConstant specifying the orientation of sketchUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM.
A ConstrainedSketch object specifying the planar sketch to be revolved.
A Float specifying the angle in degrees to be revolved.
Optional arguments
A Float specifying the pitch. The pitch is the distance traveled along the axial direction, measured between corresponding points on the sketch when it has completed one full revolution about the axis of revolution. Possible values are 0
pitch
105. The default value, 0, implies a normal revolve.
A Boolean specifying whether to override the direction of feature creation. If flipRevolveDirection=OFF, the default direction of revolution is used. If flipRevolveDirection=ON, the revolve direction is reversed. The default value is OFF.
A Boolean specifying whether to override the direction of translation. If flipPitchDirection=OFF, the direction of translation is given by the direction of the revolve axis. If flipPitchDirection=ON, the translation direction is reversed. The default value is OFF.
A Boolean specifying whether to rotate the sketch so that it is normal to the path of revolution when using the pitch option. If moveSketchNormalToPath=OFF, the sketch plane remains parallel to the revolve axis. If moveSketchNormalToPath=ON, the sketch is moved to match the angle created by the pitch before being revolved. The default value is OFF.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by sweeping the given ConstrainedSketch object along a path and cutting away material from the part. The section ConstrainedSketch object must define a closed profile. The origin of the section sketch is positioned at the start of the sweep path, and the sketch is swept perpendicular to the path. No checks are made for self-intersection.
mdb.models[name].parts[name].CutSweep
Required arguments
An Edge object or a Datum axis object specifying the vertical (Y) direction of the path sketch.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the profile sketch.
A SymbolicConstant specifying the orientation of pathUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM.
A ConstrainedSketch object specifying the path of the sweep.
A SymbolicConstant specifying the orientation of sketchUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM.
A ConstrainedSketch object specifying the planar section to be swept.
Optional arguments
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by creating a circular blind hole of the given diameter and depth and cutting away material in the solid and shell regions of the part. The center of the hole is offset from two non-parallel straight edges by the given distances.
mdb.models[name].parts[name].HoleBlindFromEdges
Required arguments
A SymbolicConstant specifying the direction of feature creation. Possible values are SIDE1 and SIDE2.
A Float specifying the diameter of the hole.
An Edge object specifying the edge from which distance1 is measured.
A Float specifying the offset from edge1.
An Edge object specifying the edge from which distance2 is measured.
A Float specifying the offset from edge2.
A Float specifying the depth of the hole.
Optional arguments
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by creating a circular hole of the given diameter in a 2D planar part and cutting away material in the shell and wire regions of the part. The center of the hole is offset from two non-parallel straight edges by the given distances.
mdb.models[name].parts[name].HoleFromEdges
Required arguments
A Float specifying the diameter of the hole.
An Edge object specifying the edge from which distance1 is measured.
A Float specifying the offset from edge1.
An Edge object specifying the edge from which distance2 is measured.
A Float specifying the offset from edge2.
Optional arguments
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by creating a circular through hole of the given diameter and cutting away material in the solid and shell regions of the part. The center of the hole is offset from two non-parallel straight edges by the given distances.
mdb.models[name].parts[name].HoleThruAllFromEdges
Required arguments
A SymbolicConstant specifying the direction of feature creation. Possible values are SIDE1 and SIDE2.
A Float specifying the diameter of the hole.
An Edge object specifying the edge from which distance1 is measured.
A Float specifying the offset from edge1.
An Edge object specifying the edge from which distance2 is measured.
A Float specifying the offset from edge2.
Optional arguments
Return value
A Feature object.
Exceptions
This method merges edges either by extending the user selection or using only the selected edges.
mdb.models[name].parts[name].MergeEdges
Required arguments
Optional arguments
A sequence of Edge objects specifying the edges to be merged.
A Boolean specifying whether the user selection needs to be extended to include edges till branching occurs. Branching is said to occur when the vertex of an edge is shared by more than two edges.
Return value
A Feature object.
Exceptions
This method converts a solid entity to a shell entity.
mdb.models[name].parts[name].RemoveCells
Required argument
A sequence of Cell objects specifying the cells to remove.
Optional arguments
Return value
A Boolean value.
Exceptions
If the intended volume to be turned into a shell entity is not three-dimensional.
This method removes faces from a solid entity or from a shell entity.
mdb.models[name].parts[name].RemoveFaces
Required argument
A sequence of Face objects specifying the faces to remove.
Optional argument
A Boolean specifying whether all cells are to be deleted when the faces are removed. The default value is False.
Return value
A Feature object.
Exceptions
This method removes faces from a solid entity and attempts to close the resulting gap by extending the neighboring faces of the solid.
mdb.models[name].parts[name].RemoveFacesAndStitch
Required argument
A sequence of Face objects specifying the faces to remove.
Optional arguments
Return value
A Feature object.
Exceptions
This method removes redundant edges and vertices from a solid or a shell entity. One of the two arguments is required.
mdb.models[name].parts[name].RemoveRedundantEntities
Required arguments
Optional arguments
A sequence of Vertex objects specifying the vertices to be removed.
A sequence of Edge objects specifying the edges to be removed.
A Boolean specifying whether the vertices of the redundant edges need to be removed. The default is True.
Return value
A Feature object.
Exceptions
If the selected entity is not a redundant entity.
This method works on the entire part or a sequence of shell faces. When the entire part is selected, it aligns all the shell face normals, and inverts all of the solid faces' normals if the solid was originally inside out. When a few shell faces are selected, it inverts the normals of the selected faces.
mdb.models[name].parts[name].RepairFaceNormals
Required arguments
Optional argument
A sequence of Face objects.
Return value
A Feature object.
Exceptions
If the entire part is selected and it contains non-manifold shell geometry.
This method repairs invalid edges. It will always attempt to improve edges even if none of selected edges are initially invalid and may leave behind invalid edges that could not be repaired.
mdb.models[name].parts[name].RepairInvalidEdges
Required argument
A sequence of Edge objects.
Optional arguments
Return value
A Feature object.
Exceptions
This method repairs the selected sliver from the selected face. The sliver area is specified using two points. A face partition is carried out at the specified points and the smaller of the two faces is removed.
mdb.models[name].parts[name].RepairSliver
Required arguments
A Face object specifying the face on which the sliver is located.
A point specifying the location for partition creation. It can be a Vertex object, an Interesting Point or three coordinates specifying the point on an edge of the face.
A point specifying the location for partition creation. It can be a Vertex object, an Interesting Point or three coordinates specifying the point on an edge of the face.
Optional argument
A Boolean specifying whether to use internal tolerance checks to restrict the size of the sliver face being removed. The default is True.
Return value
A Feature object.
Exceptions
This method repairs small edges. This method will attempt to replace selected small edges with vertices and extend the adjacent faces and edges. This method might leave behind some small edges that cannot be removed.
mdb.models[name].parts[name].RepairSmallEdges
Required argument
A sequence of Edge objects.
Optional argument
A Boolean specifying whether to use internal tolerance checks to restrict the size of the edges being removed. The default is True.
Return value
A Feature object.
Exceptions
This method repairs small faces. It will attempt to replace the selected small faces with edges or vertices and extend the adjacent faces. This method might leave behind some small faces that cannot be removed.
mdb.models[name].parts[name].RepairSmallFaces
Required argument
A sequence of Face objects.
Optional argument
A Boolean specifying whether to use internal tolerance checks to restrict the size of the faces being removed. The default is True.
Return value
A Feature object.
Exceptions
This method replaces the selected faces with a single face. If one single face is selected, that alone is replaced with a new face.
mdb.models[name].parts[name].ReplaceFaces
Required argument
A sequence of Face objects to be replaced.
Optional argument
A Boolean specifying whether the newly created face needs to be stitched to the existing geometry. The default is True.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by rounding (filleting) the given list of entities with the given radius.
mdb.models[name].parts[name].Round
Required arguments
A Float specifying the radius of the fillets.
A sequence of Edge objects. Solid and Shell edges of a part can be rounded. The operation will fail for non-manifold edges. The edgeList and vertexList arguments are mutually exclusive. One of them must be specified.
A sequence of Vertex objects. Vertices that are connected to two wire edges can be rounded. The operation will fail for a vertex connected to a face. The edgeList and vertexList arguments are mutually exclusive. One of them must be specified.
Optional arguments
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by creating a planar shell from the given ConstrainedSketch object. The ConstrainedSketch object must define a closed profile.
mdb.models[name].parts[name].Shell
Required arguments
A SymbolicConstant specifying the direction of feature creation. Possible values are SIDE1 and SIDE2.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the sketch.
A ConstrainedSketch object specifying the planar shell.
Optional argument
A SymbolicConstant specifying the orientation of sketchUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM. The default value is RIGHT.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by extruding the given ConstrainedSketch object by the given depth, creating a shell protrusion. The ConstrainedSketch object can define either an open or closed profile.
mdb.models[name].parts[name].ShellExtrude
Required arguments
A SymbolicConstant specifying the direction of feature creation. Possible values are SIDE1 and SIDE2.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the sketch.
A ConstrainedSketch object specifying the planar sketch to be extruded.
Optional arguments
A Float specifying the extrusion depth. The default is to not specify a depth. Either depth or upToFace must be used to define the extrusion depth.
A Face specifying the face up to which to extrude. If upToFace is specified, the extrusion will be an up-to-face extrusion. The default is to not specify a face. Either depth or upToFace must be used to define the extrusion depth.
A SymbolicConstant specifying the orientation of sketchUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM. The default value is RIGHT.
A Float specifying the draft angle in degrees. Possible values are -90.0
draftAngle
90.0. By convention, for a positive draft angle an outer loop will draft outward and an inner loop will draft inward. The opposite is true for a negative draft angle. The default value, 0, implies a normal extrude. The arguments draftAngle and pitch are mutually exclusive.
A Float specifying the pitch. The pitch is the distance traveled along the axial direction by the sketch when the sketch has completed one full revolution about the twist axis. Pitch can be specified as positive or negative to achieve right-handed or left-handed twist about the twist axis, respectively. The default value, 0, implies a normal extrude. Possible values are –105
pitch
105. The arguments draftAngle and pitch are mutually exclusive.
A Boolean specifying whether to override the direction of feature creation. If the value is OFF, it means use the direction defined by the sketchPlaneSide; if the value is ON, it means use the opposite direction to the one defined by sketchPlaneSide. The default value is OFF.
A Boolean specifying whether internal boundaries will be retained. The default value is OFF.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by lofting between the given sections and adding shell faces to the part. You define the sections using a sequence of edges from the part or an EdgeArray.
mdb.models[name].parts[name].ShellLoft
Required argument
A sequence of sequences of edges specifying the cross-sections to be lofted. Each outer sequence specifies a section through which the method will pass the loft feature. Each outer sequence can be defined as a sequence of edges or as an EdgeArray. The edges specifying a section must form a simple closed profile and must not contain multiple loops.
Optional arguments
A SymbolicConstant specifying the tangent direction at the start section of the loft feature. Possible values are NONE, NORMAL, RADIAL and SPECIFIED. You can specify this argument only if the start and end sections are planar. You cannot use this argument in conjunction with the path argument. You must use the startCondition argument in conjunction with the endCondition argument.
A SymbolicConstant specifying the tangent direction at the end section of the loft feature. Possible values are NONE, NORMAL, RADIAL and SPECIFIED. You can specify this argument only if the start and end sections are planar. You cannot use this argument in conjunction with the path argument. You must use the endCondition argument in conjunction with the startCondition argument.
A Float specifying the angle in degrees of the tangent with respect to the plane in which the start section lies. You must specify the startTangent argument if startCondition=SPECIFIED. Possible values are 0.0
startTangent
180.0.
A Float specifying the magnitude of the startTangent. You must specify the startMagnitude argument if startCondition=SPECIFIED. Possible values are 0.0
startMagnitude
100.0.
A Float specifying the angle in degrees of the tangent with respect to the plane in which the end section lies. You must specify the endTangent argument if startCondition=SPECIFIED. Possible values are 0.0
endTangent
180.0.
A Float specifying the magnitude of the endTangent. This argument is to be used when the endCondition argument has the value SPECIFIED. Possible values are 0.0
endMagnitude
100.0.
A sequence of sequences of edges that pass through each section in the loft feature. Each sequence specifies a path followed by the face or an edge created by a loft feature. Each path must start at the first section, end at the last section, and pass through each section. In addition, the order of the sequences must be the same as the order of the sections in the loftsections argument. Each path must not self-intersect and must be tangent continuous. In addition, the paths must not intersect each other. You cannot use the paths argument in conjunction with the startCondition and endCondition arguments.
A Boolean specifying whether each path defined in the paths argument is applied locally or globally.
The default value is ON (globally).
If the path is applied locally, its effect is felt only on faces created from the edges on the loftsections through which the paths pass through.
If the path is applied globally, an averaging algorithm is applied over all the paths defined and is distributed over all the faces created.
A Boolean specifying whether internal boundaries will be retained. The default value is OFF.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by revolving the given ConstrainedSketch object by the given angle, creating a shell protrusion. The ConstrainedSketch object can define either an open or closed profile and an axis of revolution. The axis is defined by a single construction line. For a description of the plane positioning arguments, see SolidExtrude.
mdb.models[name].parts[name].ShellRevolve
Required arguments
A SymbolicConstant specifying the direction of feature creation. Possible values are SIDE1 and SIDE2.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the sketch.
A ConstrainedSketch object specifying the planar sketch to be revolved.
A Float specifying the angle in degrees to be revolved.
Optional arguments
A SymbolicConstant specifying the orientation of sketchUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM. The default value is RIGHT.
A Float specifying the pitch. The pitch is the distance traveled along the axial direction, measured between corresponding points on the sketch when it has completed one full revolution about the axis of revolution. Possible values are 0
pitch
105. The default value, 0, implies a normal revolve.
A Boolean specifying whether to override the direction of feature creation. If flipRevolveDirection=OFF, the default direction of revolution is used. If flipRevolveDirection=ON, the revolve direction is reversed. The default value is OFF.
A Boolean specifying whether to override the direction of translation. If flipPitchDirection=OFF, the direction of translation is given by the direction of the revolve axis. If flipPitchDirection=ON, the translation direction is reversed. The default value is OFF.
A Boolean specifying whether to rotate the sketch so that it is normal to the path of revolution when using the pitch option. If moveSketchNormalToPath=OFF, the sketch plane remains parallel to the revolve axis. If moveSketchNormalToPath=ON, the sketch is moved to match the angle created by the pitch before being revolved. The default value is OFF.
A Boolean specifying whether internal boundaries will be retained. The default value is OFF.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by sweeping the given sketch along the path sketch, creating a solid swept protrusion. The section ConstrainedSketch object can be an open or closed profile. The origin of the section sketch is positioned at the start of the sweep path sketch and swept perpendicular to the path. No checks are made for self-intersection.
mdb.models[name].parts[name].ShellSweep
Required arguments
An Edge object or a Datum axis object specifying the vertical (Y) direction of the path sketch.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the path sketch.
A SymbolicConstant specifying the orientation of pathUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM.
A ConstrainedSketch object specifying the path of the sweep.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the profile sketch.
A SymbolicConstant specifying the orientation of sketchUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM.
A ConstrainedSketch object specifying the planar section to be swept.
Optional argument
A Boolean specifying whether internal boundaries will be retained. The default value is OFF.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by extruding the given ConstrainedSketch object by the given depth, creating a solid protrusion. The ConstrainedSketch object must define a closed profile.
mdb.models[name].parts[name].SolidExtrude
Required arguments
A SymbolicConstant specifying the direction of feature creation. Possible values are SIDE1 and SIDE2.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the sketch.
A ConstrainedSketch object specifying the planar sketch to be extruded.
Optional arguments
A Float specifying the extrusion depth. The default is to not specify a depth. Either depth or upToFace must be used to define the extrusion depth.
A Face specifying the face up to which to extrude. If upToFace is specified, the extrusion will be an up-to-face extrusion. The default is to not specify a face. Either depth or upToFace must be used to define the extrusion depth.
A SymbolicConstant specifying the orientation of sketchUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM. The default value is RIGHT.
A Float specifying the draft angle in degrees. Possible values are -90.0
draftAngle
90.0. By convention, for a positive draft angle an outer loop will draft outward and an inner loop will draft inward. The opposite is true for a negative draft angle. The default value, 0, implies a normal extrude. The arguments draftAngle and pitch are mutually exclusive.
A Float specifying the pitch. The pitch is the distance traveled along the axial direction by the sketch when the sketch has completed one full revolution about the twist axis. Pitch can be specified as positive or negative to achieve right-handed or left-handed twist about the twist axis, respectively. The default value, 0, implies a normal extrude. Possible values are –105
pitch
105. The arguments draftAngle and pitch are mutually exclusive.
A Boolean specifying whether to override the direction of feature creation. If the value is OFF, it means use the direction defined by the sketchPlaneSide; if the value is ON, it means use the opposite direction to the one defined by sketchPlaneSide. The default value is OFF.
A Boolean specifying whether internal boundaries will be retained. The default value is OFF.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by lofting between the given sections and adding material to the part. You define the sections using a sequence of edges from the part or an EdgeArray.
mdb.models[name].parts[name].SolidLoft
Required argument
A sequence of sequences of edges specifying the cross-sections to be lofted. Each outer sequence specifies a section through which Abaqus will pass the loft feature. Each outer sequence can be defined as a sequence of edges or as an EdgeArray. The edges specifying a section must form a simple closed profile and must not contain multiple loops.
Optional arguments
A SymbolicConstant specifying the tangent direction at the start section of the loft feature. Possible values are NONE, NORMAL, RADIAL and SPECIFIED. You can specify this argument only if the start and end sections are planar. You cannot use this argument in conjunction with the path argument. You must use the startCondition argument in conjunction with the endCondition argument.
A SymbolicConstant specifying the tangent direction at the end section of the loft feature. Possible values are NONE, NORMAL, RADIAL and SPECIFIED. You can specify this argument only if the start and end sections are planar. You cannot use this argument in conjunction with the path argument. You must use the endCondition argument in conjunction with the startCondition argument.
A Float specifying the angle in degrees of the tangent with respect to the plane in which the start section lies. You must specify the startTangent argument if startCondition=SPECIFIED. Possible values are 0.0
startTangent
180.0.
A Float specifying the magnitude of the startTangent. You must specify the startMagnitude argument if startCondition=SPECIFIED. Possible values are 0.0
startMagnitude
100.0.
A Float specifying the angle in degrees of the tangent with respect to the plane in which the end section lies. You must specify the endTangent argument if startCondition=SPECIFIED. Possible values are 0.0
endTangent
180.0.
A Float specifying the magnitude of the endTangent. This argument is to be used when the endCondition argument has the value SPECIFIED. Possible values are 0.0
endMagnitude
100.0.
A sequence of sequences of edges that pass through each section in the loft feature. Each sequence specifies a path followed by the face or an edge created by a loft feature. Each path must start at the first section, end at the last section, and pass through each section. In addition, the order of the sequences must be the same as the order of the sections in the loftsections argument. Each path must not self-intersect and must be tangent continuous. In addition, the paths must not intersect each other. You cannot use the paths argument in conjunction with the startCondition and endCondition arguments.
A Boolean specifying whether each path defined in the paths argument is applied locally or globally.
The default value is ON (globally).
If the path is applied locally, its effect is felt only on faces created from the edges on the loftsections through which the paths pass through.
If the path is applied globally, an averaging algorithm is applied over all the paths defined and is distributed over all the faces created.
A Boolean specifying whether internal boundaries will be retained. The default value is OFF.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by revolving the given ConstrainedSketch object by the given angle, creating a solid protrusion. The ConstrainedSketch object must define a closed profile and an axis of revolution. The axis is defined by a single construction line.
mdb.models[name].parts[name].SolidRevolve
Required arguments
A SymbolicConstant specifying the direction of feature creation. Possible values are SIDE1 and SIDE2.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the sketch.
A ConstrainedSketch object specifying the planar sketch to be revolved.
A Float specifying the angle in degrees to be revolved.
Optional arguments
A SymbolicConstant specifying the orientation of sketchUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM. The default value is RIGHT.
A Float specifying the pitch. The pitch is the distance traveled along the axial direction, measured between corresponding points on the sketch when it has completed one full revolution about the axis of revolution. Possible values are 0
pitch
105. The default value, 0, implies a normal revolve.
A Boolean specifying whether to override the direction of feature creation. If flipRevolveDirection=OFF, the default direction of revolution is used. If flipRevolveDirection=ON, the revolve direction is reversed. The default value is OFF.
A Boolean specifying whether to override the direction of translation. If flipPitchDirection=OFF, the direction of translation is given by the direction of the revolve axis. If flipPitchDirection=ON, the translation direction is reversed. The default value is OFF.
A Boolean specifying whether to rotate the sketch so that it is normal to the path of revolution when using the pitch option. If moveSketchNormalToPath=OFF, the sketch plane remains parallel to the revolve axis. If moveSketchNormalToPath=ON, the sketch is moved to match the angle created by the pitch before being revolved. The default value is OFF.
A Boolean specifying whether internal boundaries will be retained. The default value is OFF.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by sweeping the given ConstrainedSketch object along the path sketch, creating a solid swept protrusion. The section sketch object must define a closed profile. The origin of the section sketch is positioned at the start of the sweep path and then swept perpendicular to the path. No checks are made for self-intersection.
mdb.models[name].parts[name].SolidSweep
Required arguments
An Edge object or a Datum axis object specifying the vertical (Y) direction of the path sketch.
A SymbolicConstant specifying the direction of feature creation. Possible values are SIDE1 and SIDE2.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the path sketch.
A SymbolicConstant specifying the orientation of pathUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM.
A ConstrainedSketch object specifying the path of the sweep.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the profile sketch.
A SymbolicConstant specifying the orientation of sketchUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM.
A ConstrainedSketch object specifying the planar section to be swept.
Optional argument
A Boolean specifying whether internal boundaries will be retained. The default value is OFF.
Return value
A Feature object.
Exceptions
This method attempts to create a valid part by binding together free and imprecise edges of all the faces of a part. If edgeList is not given, a global stitch will be performed. If stitchTolerance is not specified, a value of 1.0 will be used.
mdb.models[name].parts[name].Stitch
Required arguments
Optional arguments
A sequence of Edge objects specifying the edges that need to be stitched.
A Float indicating the maximum gap to be stitched. The value should be smaller than the minimum feature size and bigger than the maximum gap expected to be stitched in the model. Otherwise this command may remove small (sliver) edges that are smaller than the tolerance.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by creating a planar wire from the given ConstrainedSketch object. The ConstrainedSketch object must define a closed profile.
mdb.models[name].parts[name].Wire
Required arguments
A SymbolicConstant specifying the direction of feature creation. Possible values are SIDE1 and SIDE2.
An Edge object or a Datum axis object specifying the vertical (Y) direction of the sketch.
A ConstrainedSketch object specifying the planar sketch to be revolved.
Optional argument
A SymbolicConstant specifying the orientation of sketchUpEdge on the sketch. Possible values are RIGHT, LEFT, TOP, and BOTTOM. The default value is RIGHT.
Return value
A Feature object.
Exceptions
This method creates an additional Feature object by creating a spline wire that passes through a sequence of given points. Each point can be either a datum point, a vertex, an interesting point, or a tuple.
mdb.models[name].parts[name].WireSpline
Required argument
A sequence of Vertex, Datum point, or InterestingPoint objects specifying the points through which the spline wire will pass. points can also be a sequence of tuples of Floats. You must specify at least two values in the sequence.
Optional arguments
A Boolean specifying whether to merge the wire with existing geometry. If mergeWire=ON, Abaqus will merge the wire with existing faces if the wire lies on the faces, and Abaqus will merge the wire into solid regions of the part if the wire passes through them. If mergeWire=OFF, Abaqus will not merge the spline wire with existing geometry. The default value is ON.
A Boolean specifying the behavior of Abaqus when the points defining a spline wire form a closed loop (the start and end points are the same). If smoothClosedSpline=ON, Abaqus creates a smooth spline wire where the tangencies at the end point meet smoothly. If smoothClosedSpline=OFF, Abaqus will not automatically create a smooth end condition. The default value in OFF.
Return value
A Feature object
Exceptions